io.swagger.client.model

## Class RoleAssignment

- java.lang.Object
- - io.swagger.client.model.RoleAssignment

-     public class RoleAssignment
      extends Object

  RoleAssignment

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleAssignment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RoleAssignment` | `applicationRoleId(Integer applicationRoleId)`
    `boolean` | `equals(Object o)`
    `Integer` | `getApplicationRoleId()` Get applicationRoleId
    `Integer` | `getId()` Get id
    `User` | `getUser()` Get user
    `int` | `hashCode()`
    `RoleAssignment` | `id(Integer id)`
    `void` | `setApplicationRoleId(Integer applicationRoleId)`
    `void` | `setId(Integer id)`
    `void` | `setUser(User user)`
    `String` | `toString()`
    `RoleAssignment` | `user(User user)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleAssignment

          public RoleAssignment()

  - ### Method Detail

    - #### id

          public RoleAssignment id(Integer id)

    - #### getId

          public Integer getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(Integer id)

    - #### applicationRoleId

          public RoleAssignment applicationRoleId(Integer applicationRoleId)

    - #### getApplicationRoleId

          public Integer getApplicationRoleId()

      Get applicationRoleId
      Returns:
        applicationRoleId

    - #### setApplicationRoleId

          public void setApplicationRoleId(Integer applicationRoleId)

    - #### user

          public RoleAssignment user(User user)

    - #### getUser

          public User getUser()

      Get user
      Returns:
        user

    - #### setUser

          public void setUser(User user)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.